io.milvus.param.collection

## Class ShowCollectionsParam.Builder

- java.lang.Object
- - io.milvus.param.collection.ShowCollectionsParam.Builder

Enclosing class:
  ShowCollectionsParam

    public static final class ShowCollectionsParam.Builder
    extends java.lang.Object

Builder for `ShowCollectionsParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`ShowCollectionsParam.Builder` `addCollectionName(@NonNull java.lang.String collectionName)` Adds a collection name.
`ShowCollectionsParam` `build()` Verifies parameters and creates a new `ShowCollectionsParam` instance.
`ShowCollectionsParam.Builder` `withCollectionNames(@NonNull java.util.List<java.lang.String> collectionNames)` Sets a list of collection names.
`ShowCollectionsParam.Builder` `withDatabaseName(java.lang.String databaseName)`
`ShowCollectionsParam.Builder` `withShowType(io.milvus.grpc.ShowType showType)` Sets a show type.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withDatabaseName

    public ShowCollectionsParam.Builder withDatabaseName(java.lang.String databaseName)

#### withCollectionNames

    public ShowCollectionsParam.Builder withCollectionNames(@NonNull
                                                            @NonNull java.util.List<java.lang.String> collectionNames)

Sets a list of collection names. Collection name cannot be empty or null.

Parameters:
  `collectionNames` - list of collection names
Returns:
  `Builder`

#### withShowType

    public ShowCollectionsParam.Builder withShowType(io.milvus.grpc.ShowType showType)

Sets a show type. Show Type can be empty or null, default value is ShowType.All.

Parameters:
  `showType` - ShowType
Returns:
  `Builder`

#### addCollectionName

    public ShowCollectionsParam.Builder addCollectionName(@NonNull
                                                          @NonNull java.lang.String collectionName)

Adds a collection name. Collection name cannot be empty or null.

Parameters:
  `collectionName` - collection name
Returns:
  `Builder`

#### build

    public ShowCollectionsParam build()
                               throws ParamException

Verifies parameters and creates a new `ShowCollectionsParam` instance.

Returns:
  `ShowCollectionsParam`
Throws:
  `ParamException`